echo "twsCleanAction steps:"
echo "TWS home dir %1%"
echo "TWS Action Tools %2%"
echo "twsCleanAction****************"
echo "TWS user name %3%"
echo "TWS domain name %4%"
echo "TWSREGISTRYFILE %5%"

SET TWS_HOME=%1%
SET ACTIONTOOLSDIR=%2%
SET tws_user=%3%
SET domain=%4%
SET TWSREGISTRYFILE=%5%
SET VERBOSE="-verbose"


rem OLD ENTRIES PRE-82 ********
rem NT SERVICES:
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "netman_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "maestro_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tokensrv_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "netman_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "maestro_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tokensrv_%tws_user%" "%VERBOSE%"

rem NEW ENTRIES ***************
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_netman_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_maestro_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_tokensrv_%domain%_%tws_user%" "%VERBOSE%"

call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_netman_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_maestro_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -DeregisterWinService "tws_tokensrv_%tws_user%" "%VERBOSE%"


rem NT REGISTRY KEYWORDS:
rem OLD ENTRIES ***************
call %ACTIONTOOLSDIR%\twsConfigAction.exe -CleanupRegistryKey "SOFTWARE\Unison Software, Inc.\Unison Maestro\8.1_%domain%_%tws_user%" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -CleanupRegistryKey "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Unison Maestro (User=%domain%_%tws_user%)" "%VERBOSE%"
call %ACTIONTOOLSDIR%\twsConfigAction.exe -CleanupRegistryKey "SOFTWARE\IBM\Tivoli Workload Scheduler\8.2_%domain%_%tws_user%" "%VERBOSE%"

rem NEW ENTRIES ***************
call %ACTIONTOOLSDIR%\twsConfigAction.exe -CleanupRegistryKey "SOFTWARE\IBM\Tivoli Workload Scheduler\8.2.1_%domain%_%tws_user%" "%VERBOSE%"
rem Remove AddRemove Programs Key
call %ACTIONTOOLSDIR%\twsConfigAction.exe -CleanupRegistryKey "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\IBMTivoliWorkloadScheduler8.2.1(%domain%_%tws_user%)" "%VERBOSE%"

rem TWSREGISTRY.DAT CLEANING *****
call %ACTIONTOOLSDIR%\TWSupdate_file.exe -delRow "%TWSREGISTRYFILE%" "/Tivoli/Workload_Scheduler/%tws_user%_DN" %VERBOSE%

rem We can not remove CLI, uninstallation uses it
rem del /F /S /Q %TWS_HOME%\_uninstall\CLI


echo "Removing files.. "

del /F /S /Q %TWS_HOME%\bin
rd /S /Q %TWS_HOME%\bin
del /F /S /Q %TWS_HOME%\catalog
rd /S /Q %TWS_HOME%\catalog
del /F /S /Q %TWS_HOME%\config
rd /S /Q %TWS_HOME%\config
del /F /S /Q %TWS_HOME%\demo
rd /S /Q %TWS_HOME%\demo
del /F /S /Q %TWS_HOME%\mozart
rd /S /Q %TWS_HOME%\mozart
del /F /S /Q %TWS_HOME%\stdlist
rd /S /Q %TWS_HOME%\stdlist
del /F /S /Q %TWS_HOME%\unsupported
rd /S /Q %TWS_HOME%\unsupported
del /F /S /Q %TWS_HOME%\bin
rd /S /Q %TWS_HOME%\bin
del /F /Q %TWS_HOME%\localopts

del /F /Q %TWS_HOME%\*.old
del /F /Q %TWS_HOME%\mozart\*.old
del /F /Q %TWS_HOME%\*.bck
del /F /Q %TWS_HOME%\mozart\*.bck
del /F /Q %TWS_HOME%\_uninstall\ACTIONTOOLS\*.historyFile

echo "Exited successfully"
exit 0
