@echo off

set BANNER=TWS for WINDOWS/STOP_CONNECTOR

rem define a temp directory for log
set TMPDIR=%HOME%
if defined TEMP set TMPDIR=%TEMP%

set LOG_FILE=%TMPDIR%\TWSInstall.log

echo %BANNER% >> %LOG_FILE%

set HOME=$(install_dir)

set ERROR= try to stop connectors
echo %ERROR% >> %LOG_FILE% 


rem check if setup_env.cmd exists => FMW is installed
if exist %SystemRoot%\system32\drivers\etc\Tivoli\oserv\setup_env.cmd goto call1
if exist %SystemRoot%\system32\drivers\etc\Tivoli\setup_env.cmd goto call2

rem  Framework is not installed, can't  run wmaeutil
set ERROR=FMW not installed
goto done

rem Framework is installed. Source the FW environment to run wmaeutil
:call1
call %SystemRoot%\system32\drivers\etc\Tivoli\oserv\setup_env.cmd >> %LOG_FILE% 
@echo off
goto callstop

:call2
call %SystemRoot%\system32\drivers\etc\Tivoli\setup_env.cmd  >> %LOG_FILE% 
@echo off
goto callstop


:callstop
rem check if connector is installed
if exist %BINDIR%\Maestro\bin goto stop_conn
set ERROR=connector not installed
goto done

:stop_conn
call "%HOME%\bin\wmaeutil.cmd" ALL -stop  >> %LOG_FILE% 
set ERROR=connectors stopped      

:done
  echo %ERROR% >> %LOG_FILE%

